GET /networks/{networkId}/events

meraki.com

Summary: List the events for the network
Operation ID: getNetworkEvents
Auth: unknown
Description

List the events for the network

Parameters (15)

clientIp (string, query, optional)

The IP of the client which the list of events will be filtered with. Only supported for track-by-IP networks.

clientMac (string, query, optional)

The MAC address of the client which the list of events will be filtered with. Only supported for track-by-MAC networks.

clientName (string, query, optional)

The name, or partial name, of the client which the list of events will be filtered with

deviceMac (string, query, optional)

The MAC address of the Meraki device which the list of events will be filtered with

deviceName (string, query, optional)

The name of the Meraki device which the list of events will be filtered with

deviceSerial (string, query, optional)

The serial of the Meraki device which the list of events will be filtered with

endingBefore (string, query, optional)

A token used by the server to indicate the end of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.

excludedEventTypes (array, query, optional)

A list of event types. The returned events will be filtered to exclude events with these types.

includedEventTypes (array, query, optional)

A list of event types. The returned events will be filtered to only include events with these types.

networkId (string, path, required)
perPage (integer, query, optional)

The number of entries per page returned. Acceptable range is 3 - 1000. Default is 10.

productType (string, query, optional)

The product type to fetch events for. This parameter is required for networks with multiple device types. Valid types are wireless, appliance, switch, systemsManager, camera, and cellularGateway

Constraints: {'enum': ['appliance', 'camera', 'cellularGateway', 'switch', 'systemsManager', 'wireless']}

smDeviceMac (string, query, optional)

The MAC address of the Systems Manager device which the list of events will be filtered with

smDeviceName (string, query, optional)

The name of the Systems Manager device which the list of events will be filtered with

startingAfter (string, query, optional)

A token used by the server to indicate the start of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.

No probe data for this endpoint yet.